libsigc++ 2.2.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
sigc::hide_functor< 6, T_functor > Struct Template Reference
hide(), hide_return()

Adaptor that adds a dummy parameter to the wrapped functor. More...

`#include <sigc++/adaptors/hide.h>`

Inheritance diagram for sigc::hide_functor< 6, T_functor >:
[legend]

List of all members.

## Public Types

typedef adapts< T_functor > ::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type
Public Types inherited from sigc::adapts< T_functor >

## Public Member Functions

template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7)
| Invokes the wrapped functor, ignoring the 7th argument.
| hide_functor (const T_functor& _A_func)
| Constructs a hide_functor object that adds a dummy parameter to the passed functor.
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor.

## Additional Inherited Members

Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()().

## Detailed Description

### template<class T_functor>
struct sigc::hide_functor< 6, T_functor >

Adaptor that adds a dummy parameter to the wrapped functor.

This template specialization ignores the value of the 6th parameter in operator()().

## Constructor & Destructor Documentation

template <class T_functor >

sigc::hide_functor< 6, T_functor >::hide_functor | ( | const T_functor & | _A_func | ) |

inline explicit

Constructs a hide_functor object that adds a dummy parameter to the passed functor.

Parameters:

  _A_functor | Functor to invoke from operator()().

## Member Function Documentation

template <class T_functor >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>::type sigc::hide_functor< 6, T_functor >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 |
| ) |  |

inline

Invokes the wrapped functor, ignoring the 7th argument.

Parameters:

  _A_arg1 | Argument to be passed on to the functor.
  _A_arg2 | Argument to be passed on to the functor.
  _A_arg3 | Argument to be passed on to the functor.
  _A_arg4 | Argument to be passed on to the functor.
  _A_arg5 | Argument to be passed on to the functor.
  _A_arg6 | Argument to be passed on to the functor.
  _A_arg7 | Argument to be ignored.

Returns:
  The return value of the functor invocation.